Package ru.bitel.bgbilling.modules.npay.server.bean

# Class RecalculatorParameters

java.lang.Object
ru.bitel.bgbilling.modules.npay.server.bean.RecalculatorParameters

All Implemented Interfaces:
  `Serializable`

public class RecalculatorParameters extends Object implements Serializable

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `RecalculatorParameters.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RecalculatorParameters()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RecalculatorParameters.Builder`
  `builder()`
  `String`
  `getComment()`
  `List<Integer>`
  `getContractIds()`
  `List<Integer>`
  `getContractLabelIds()`
  `String`
  `getEmail()`
  `int`
  `getServiceSet()`
  `boolean`
  `isDetail()`
  `void`
  `setComment(String comment)`
  `void`
  `setContractIds(List<Integer> contractIds)`
  `void`
  `setContractLabelIds(List<Integer> contractLabelIds)`
  `void`
  `setDetail(boolean detail)`
  `void`
  `setEmail(String email)`
  `void`
  `setServiceSet(int serviceSet)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RecalculatorParameters

    public RecalculatorParameters()

- ## Method Details

  - ### getServiceSet

    public int getServiceSet()

  - ### getContractIds

    public List<Integer> getContractIds()

  - ### getComment

    public String getComment()

  - ### getEmail

    public String getEmail()

  - ### isDetail

    public boolean isDetail()

  - ### getContractLabelIds

    public List<Integer> getContractLabelIds()

  - ### setServiceSet

    public void setServiceSet(int serviceSet)

  - ### setContractIds

    public void setContractIds(List<Integer> contractIds)

  - ### setComment

    public void setComment(String comment)

  - ### setEmail

    public void setEmail(String email)

  - ### setDetail

    public void setDetail(boolean detail)

  - ### setContractLabelIds

    public void setContractLabelIds(List<Integer> contractLabelIds)

  - ### builder

    public static RecalculatorParameters.Builder builder()